Bug 1023468 - [Request] Put all repository's publics keys inside a package.
[Request] Put all repository's publics keys inside a package.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
20
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 09:36 EDT by Gendre Sébastien
Modified: 2013-11-13 22:38 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-13 22:38:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gendre Sébastien 2013-10-25 09:36:42 EDT
Actually, when you upgrade a Fedora n to n+1, you need to manually import the public PGP key using by packages in the news repositories. 

This step can be avoided by putting all publics PGP keys used by Fedora project (on all these actives repositories) inside one package available in repo to all version of Fedora.

With this, when the repositories of the futur version of Fedora are available, users under stables versions of Fedora only needs to update their systems to have the new PGP key. So, if they want to upgrade to new version of Fedora, they only need to lanch fedup.
Comment 1 Panu Matilainen 2013-10-28 04:13:23 EDT
This has nothing to do with rpm itself. fedora-release is where all the public keys are currently stored, reassigning...

That said, having to importing a new pubkey at the time of distro upgrade doesn't seem like a particularly big inconvenience to me.
Comment 2 Dennis Gilmore 2013-11-13 22:38:45 EST
We started shipping the next releases gpg keys awhile ago now.

Note You need to log in before you can comment on or make changes to this bug.